package com.yonge.cooleshow.biz.dal.wrapper;

import com.alibaba.fastjson.JSON;
import com.microsvc.toolkit.common.response.paging.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Optional;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

/**
 * 分账子账户配置
 * 2023-07-28 16:53:51
 */
@ApiModel(value = "PaymentDivMemberWrapper对象", description = "分账子账户配置查询对象")
public class PaymentDivMemberWrapper {

    @Data
	@Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel(" PaymentDivMemberQuery-分账子账户配置")
    public static class PaymentDivMemberQuery implements QueryInfo {
    
    	@ApiModelProperty("当前页")
        private Integer page;
        
        @ApiModelProperty("分页行数")
        private Integer rows;
        
        @ApiModelProperty("关键字匹配")
		private String keyword;
        
        public String getKeyword() {
            return Optional.ofNullable(keyword).filter(StringUtils::isNotBlank).orElse(null);
        }
        
        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static PaymentDivMemberQuery from(String json) {
            return JSON.parseObject(json, PaymentDivMemberQuery.class);
        }
    }  

	@ApiModel(" PaymentDivMember-分账子账户配置")
    public static class PaymentDivMember {
        
        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static PaymentDivMember from(String json) {
            return JSON.parseObject(json, PaymentDivMember.class);
        }
	}

}